Page MenuHomePhabricator

run phpunit (on jenkins) on EditFilterMergedContent handling code in EditEntity
Closed, ResolvedPublic

Description

if we want tests to run on EditFilterMergedContent hook handling code (and catch issues with interaction w/ AbuseFilter and SpamBlacklist), then we should have those installed in the Wikidata Jenkins builds.


Version: unspecified
Severity: normal
Whiteboard: u=dev c=infrastructure p=0

Details

Reference
bz65727

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:20 AM
bzimport set Reference to bz65727.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.May 24 2014, 5:10 PM
aude added a comment.May 24 2014, 5:11 PM

running phpunit on my dev wiki (with those extensions present), caught bug 65726 but wikidata jenkins did not fail due to not executing the relevant code

aude added a comment.Jun 19 2014, 3:18 PM

this would still be nice to do, but a workaround is to ensure the hook gets run regardless of if it is registered.

Change 140722 had a related patch set uploaded by Aude:
Force EditFilterMergedHook to be registered in EditEntity

https://gerrit.wikimedia.org/r/140722

Change 140722 abandoned by Aude:
Force EditFilterMergedHook to be registered in EditEntity

https://gerrit.wikimedia.org/r/140722

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher edited subscribers, added: hoo, JanZerebecki; removed: Wikidata-bugs.
hoo closed this task as Resolved.Jan 19 2016, 10:10 PM
hoo claimed this task.

We have EditFilterHookRunnerTest for quite some time now.